[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.IsBlob

Is the field a BLOB field (untyped data of indeterminate size).

## Declaration

Source position: db.pas line 378

`class function TField.IsBlob: Boolean; virtual;`

## Function result

True if the field is a BLOB field, False otherwise.

## Description

IsBlob returns True if the field is one of the blob field types. The TField implementation returns false. Only one of the blob-type field classes override this function and let it return True.

## Errors

None.

## See also

TBlobField.IsBlob |  | Is the field a blob field

The latest version of this document can be found at lazarus-ccr.sourceforge.net.